package omq.common.event;

import java.io.Serializable;

public class EventWrapper implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String type;
	private Event event;

	public EventWrapper() {
	}

	// TODO change to simpleName
	public EventWrapper(Event event) {
		this.event = event;
		type = event.getClass().getCanonicalName();
		// type = event.getClass().getSimpleName();
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Event getEvent() {
		return event;
	}

	public void setEvent(Event event) {
		this.event = event;
	}

}
